Bug 215307 - cad/openvsp: Fix compilation in 10.1
Summary: cad/openvsp: Fix compilation in 10.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Torsten Zuehlsdorff
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2016-12-14 22:28 UTC by Fernando Apesteguía
Modified: 2017-01-03 08:56 UTC (History)
1 user (show)

See Also:


Attachments
patch to the ports tree (1018 bytes, patch)
2016-12-14 22:28 UTC, Fernando Apesteguía
fernape: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Fernando Apesteguía freebsd_committer 2016-12-14 22:28:32 UTC
Created attachment 177970 [details]
patch to the ports tree

The attached patch fixes builds in 10.1, broken since the gcc update to 4.9 by default.
 
It forces the use of gcc 4.8 for 10.1 and uses the default gcc otherwise (the port is broken in anything < 10.x due to unresolved mathematical symbols).

 QA:
 * portlint -AC: OK
 * port test: OK
 * poudriere builds for {10.1,10.2,10.3,11.0}{i386,amd64}: OK
Comment 1 VK freebsd_triage 2016-12-14 23:10:02 UTC
Thanks for the patch. When you submit such a patch, please make sure you put the summary in "category/portname: Summary here" format, without "[maintainer]" hacks. Flagging the attachment as maintainer-approved is sufficient.

Also, maintainer-feedback(+) flag should only be set if it was previously reqeuested, and it wasn't.
Comment 2 Fernando Apesteguía freebsd_committer 2016-12-15 06:52:56 UTC
(In reply to Vladimir Krstulja from comment #1)

I will. Sorry about that
Comment 3 commit-hook freebsd_committer 2016-12-16 09:24:53 UTC
A commit references this bug:

Author: tz
Date: Fri Dec 16 09:24:32 UTC 2016
New revision: 428665
URL: https://svnweb.freebsd.org/changeset/ports/428665

Log:
  cad/openvsp: fix compilation in 10.1

  The port broke on 10.1 since the update to gcc 4.9. Now we enforce
  gcc 4.8 on FreeBSD 10.1.

  PR:           215307
  Submitted by: fernando.apesteguia@gmail.com (maintainer)
  Approved by:  mentors (implict)
  MFH:          2016Q4

Changes:
  head/cad/openvsp/Makefile
Comment 4 Torsten Zuehlsdorff freebsd_committer 2016-12-21 14:29:32 UTC
Committed, thanks! :)
Comment 5 commit-hook freebsd_committer 2017-01-03 08:56:42 UTC
A commit references this bug:

Author: jbeich
Date: Tue Jan  3 08:55:57 UTC 2017
New revision: 430446
URL: https://svnweb.freebsd.org/changeset/ports/430446

Log:
  cad/openvsp: drop 10.1 workaround (revert r428665) per EOL

  PR:		214863 215307
  Approved by:	portmgr blanket

Changes:
  head/cad/openvsp/Makefile